Subject: Re: tty_register_device NULL pointer dereference in 2.6.31-rc4

From: Marcel Holtmann <[email-masked]>
Date: Sat, 25 Jul 2009 13:07:33 +0200

Hi Alan,

> > this morning i got a NULL pointer dereference in tty_register_device() that
> > looked similar to the one, i posted here on 03-jun-2009:
> > 
> > http://marc.info/?l=linux-bluetooth&m=124404919324542&w=2
> > 
> > As the boot sequence stopped after this point, i was only able to take a
> > picture of it - see attached jpg.
> > 
> > I was able to shut down the system gracefully by pressing the power button.
> > 
> > The problem emerges really seldom.
> > 
> > Any idea?
> 
> tty_register_device appears to have been called with a NULL pointer. Not
> sure why however.

if that is the pointer for the struct device, then that used to be fine
in the past. Not all RFCOMM device have a parent when they are created.

Regards

Marcel